# lepton-cli

NAME
SYNOPSIS
DESCRIPTION
GENERAL OPTIONS
EXPORTING IMAGE FILES
ACCESSING CONFIGURATION
SCHEME PROCESSING
AUTHORS
COPYRIGHT
SEE ALSO

## NAME

lepton-cli - Lepton EDA Command-Line Utility

## SYNOPSIS

lepton-cli [OPTION ...] COMMAND [ARGS ...]

## DESCRIPTION

lepton-cli is part of the Lepton EDA (Electronic Design Automation) toolset. It provides a number of small command-line utilities for working with schematic and symbol files, and is designed to be used for batch processing of designs created using the schematic editor lepton-schematic(1). It currently has three built-in COMMANDs:

lepton-cli export is used to create SVG, PDF, PNG, PS and EPS files from schematic and symbol files, for printing or embedding in other documents.

lepton-cli config allows reading and writing settings in Lepton EDA project, user and system configuration stores.

lepton-cli shell provides a Scheme REPL for command-line batch processing of schematic data.

## GENERAL OPTIONS

--no-rcfiles

Prevent ’gafrc’ Scheme initialisation files from being loaded.

-h, --help

Print a help message.

-V, --version

Print lepton-cli version information.

## EXPORTING IMAGE FILES

lepton-cli export [OPTION ...] -o OUTPUT [--] FILE ...

lepton-cli export can export schematic and symbol files in a variety of image formats for printing or further processing. It currently supports single-page PNG, SVG and EPS output, and multi-page PS and PDF output. It accepts a variety of options for controlling how the output is formatted.
-o, --output=FILE

Output generated image data to FILE.

-f, --format=(png | pdf | svg | ps | eps)

Specify an output format. Usually, this option is not required, because lepton-cli export will infer the correct format from the file extension of the output file.

-p, --paper=NAME

Size the output for a particular paper size. The NAME should be a PWG 5101.1-2002 paper name. For example, valid values include ’iso_a4’, ’na_letter’, or ’na_d’.

-P, --paper-names

Print paper size names suitable to pass to the --paper option and exit.

-l, --layout=(auto | landscape | portrait)

When using a paper size, set the orientation of the output. If ’auto’ layout is used, the orientation that best fits the drawing will be used.

-s, --size=(auto | WIDTH:HEIGHT)

Size the output with specific dimensions. If the size is ’auto’, select the size that best fits the drawing.

-k, --scale=FACTOR Set the output scale

FACTOR. This is a distance identical with 100 points (1 default grid spacing) in lepton-schematic(1) coordinate space. It is used to size the output when neither --paper nor --size are given, and defaults to 100 mil.

-m, --margins=(auto | TOP[:LEFT[:BOTTOM[:RIGHT]]])

Set the widths of the margins to be used. If ’auto’ margins are specified, a sensible default value will be chosen. Up to four margin widths can be provided. If one is provided, it will be used on all four sides. If two are provided, the first will be used for the top/bottom and the second for the left/right. If three are provided, the first will be used for the top, the second for left/right, and the third for the bottom.

-a, --align=(auto | HALIGN:VALIGN)

Set how the drawing is aligned within the page. HALIGN controls the horizontal alignment, and VALIGN the vertical. Each alignment value should be in the range 0.0 to 1.0. The ’auto’ alignment is equivalent to a value of ’0.5:0.5’, i.e. centered.

-d, --dpi=DPI

Set the number of pixels per inch used when generating PNG output.

-c, --color

Enable colour output.

--no-color

Disable color output.

-F, --font=FONT-FAMILY

Set the font to be used for drawing text.

| -- |  | Treat all remaining arguments as schematic or symbol filenames. Use this if you have a schematic or symbol filename which begins with ’-’.

The --size, --margins, or --scale options described above accept values using units of ’mm’, ’cm’, ’in’, ’pc’, ’px’, or ’pt’. If you do not provide a unit, points are assumed. N.b. that ’px’ are evaluated relative to the current --dpi setting.

When using the --size, --margins, or --align options with multiple values, you may use ’;’, or ’ ’ as a separator between them instead of ’:’. In such a case, remember to properly quote your arguments to avoid them to be interpreted by your shell.

## ACCESSING CONFIGURATION

lepton-cli config [OPTION] [GROUP KEY [VALUE]]

lepton-cli config is a basic utility for inspecting and modifying Lepton EDA configuration stores.

If a GROUP and KEY are specified, retrieves the value of that configuration parameter. If a VALUE is specified, sets the value of that parameter. The -p, -u and -s options can be used to select the configuration store affected (by default, the project configuration store for the current working directory). If no GROUP and KEY are provided, outputs the filename of the selected configuration store.
-p [PATH], --project[=PATH]

Select the project configuration store of the project located in PATH. If no PATH is provided, selects the project in the current working directory. Unlike --project, for which an optional argument must be specified using =, any argument after -p is considered to be a path, not a configuration group. It may be specified as -pPATH or -p PATH.

-u, --user

Select the user configuration store.

-s, --system

Select the system configuration store. Depending on user permissions, the system configuration store may be read-only.

-c, --cache

Select the program-specific configuration store (CACHE configuration context, associated with $XDG_CACHE_HOME/lepton-eda/gui.conf configuration file).

## SCHEME PROCESSING

lepton-cli shell [OPTION ...]

lepton-cli shell provides a Scheme Read-Eval-Print Loop (REPL) for automating processing of schematic and symbol files. It is designed to be used with the Lepton EDA Scheme API.

| -s FILE |  | Evaluate Scheme source code from FILE, and exit. |
| -c EXPR |  | Evaluate the Scheme expression EXPR, and exit. |
| -- |  | Stop scanning arguments; run interactively. |

-L DIRECTORY

Prepend DIRECTORY to the list of directories to be searched for Scheme files.

| -l FILE |  | Evaluate Scheme source code from FILE. |

The -s, -c and -- switches stop argument processing and pass all the remaining arguments as the value of ’(command-line)’.

## AUTHORS

See the ’AUTHORS’ file included with this program.

## COPYRIGHT

Copyright © 2012-2017 gEDA Contributors.
Copyright © 2017-2022 Lepton Developers.
License GPLv2+: GNU GPL version 2 or later. Please see the ’COPYING’
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

## SEE ALSO

lepton-schematic(1).

For more information on the Scheme API, see the lepton-scheme Texinfo manual. If the info program is properly installed at your site, the command

info lepton-scheme

should give you access to the complete manual.